import classNames from 'classnames';
import React from 'react';
export const AccordionHeader = ({ className, tag = 'button', active = false, append, onToggle, testId, ...attributes }) => {
    const Tag = tag;
    const toggleClasses = classNames(className, 'accordion-button', {
        collapsed: !active
    });
    return (React.createElement("div", { className: 'accordion-header', "data-testid": testId },
        React.createElement(Tag, { "data-bs-toggle": 'collapse', "aria-expanded": active ? 'true' : 'false', className: toggleClasses, onClick: onToggle, ...attributes, ...(tag === 'button' && { type: 'button' }) }),
        append));
};
//# sourceMappingURL=AccordionHeader.js.map