import React from 'react';
import classNames from 'classnames';
import { Button as ButtonBase } from 'reactstrap';
export const Button = ({ tag = 'button', icon = false, color = '', className, testId, ...attributes }) => {
    const classes = classNames(className, {
        'btn-icon': icon
    });
    const ariaAttributes = {
        ...(attributes.disabled && { 'aria-disabled': true })
    };
    const baseProps = { color, tag };
    return React.createElement(ButtonBase, { className: classes, "data-testid": testId, ...baseProps, ...attributes, ...ariaAttributes });
};
//# sourceMappingURL=Button.js.map