import classNames from 'classnames';
import React, { useState } from 'react';
import { Button } from '../Button/Button';
import { Icon } from '../Icon/Icon';
export const CalloutMoreFooter = ({ id = 'cm-footer', tag = 'div', className, fileUrl, children, ...attributes }) => {
    const Tag = tag;
    const classes = classNames('collapse-div', className);
    const [isOpen, setOpen] = useState(false);
    return (React.createElement(Tag, { ...attributes, className: classes },
        React.createElement("div", { className: 'collapse-header', id: `${id}-heading` },
            React.createElement(Button, { color: 'primary', className: 'callout-more-toggle', onClick: () => setOpen(!isOpen), "aria-controls": `${id}-collapse`, "aria-expanded": isOpen, style: { fontFamily: 'var(--bs-font-sans-serif)', fontSize: '1rem' } },
                "Leggi tutto ",
                React.createElement("span", null)),
            fileUrl && (React.createElement("a", { className: 'callout-more-download', href: fileUrl, style: {
                    fontFamily: 'var(--bs-font-sans-serif)',
                    fontSize: '1rem'
                } },
                React.createElement(Icon, { icon: 'it-download' }),
                React.createElement("span", { className: 'visually-hidden' }, "PDF"),
                "Download"))),
        React.createElement("div", { className: `collapse ${isOpen ? 'show' : ''}`, role: 'tabpanel', id: `${id}-collapse`, "aria-labelledby": `${id}-heading` },
            React.createElement("div", { className: 'collapse-body' }, children))));
};
//# sourceMappingURL=CalloutMoreFooter.js.map