import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
export const CardCategory = ({ iconName, date, href, onClick, testId, children, ...rest }) => {
    const classes = classNames({
        'category-top': date || ' ',
        'categoryicon-top': iconName
    });
    // Simple category link
    const categoryLink = !iconName && (React.createElement("a", { href: href, className: 'category', onClick: onClick }, children));
    const categoryDate = date && React.createElement("span", { className: 'data' }, date);
    // Category with icon
    const categoryText = iconName && React.createElement("span", { className: 'text' }, children);
    const categoryIcon = iconName && React.createElement(Icon, { icon: iconName });
    return (React.createElement("div", { className: classes, ...rest, "data-testid": testId },
        categoryLink,
        categoryIcon,
        categoryText,
        categoryDate));
};
//# sourceMappingURL=CardCategory.js.map