import React from 'react';
import classNames from 'classnames';
export const Chip = ({ className, color = '', tag = 'div', simple = false, large = false, disabled = false, testId, ...attributes }) => {
    const Tag = tag;
    const classes = classNames('chip', className, {
        'chip-simple': simple,
        'chip-lg': large,
        'chip-disabled': disabled,
        [`chip-${color}`]: color
    });
    return React.createElement(Tag, { className: classes, ...attributes, "data-testid": testId });
};
//# sourceMappingURL=Chip.js.map