import React from 'react';
import classNames from 'classnames';
import { Dropdown as BSDRopdown } from 'reactstrap';
export const Dropdown = ({ className, testId, tag, children, inNavbar, textCenter, theme, ...attributes }) => {
    const classes = classNames(className, {
        dropdown: true,
        'text-center': textCenter,
        'nav-item': inNavbar
    });
    const [isOpen, setIsOpen] = React.useState(false);
    const toggle = () => setIsOpen(!isOpen);
    return (React.createElement(BSDRopdown, { menuRole: 'menu', color: theme, isOpen: isOpen, toggle: toggle, className: classes, "data-testid": testId, ...attributes, inNavbar: inNavbar, nav: inNavbar }, children));
};
//# sourceMappingURL=Dropdown.js.map