import React from 'react';
import classNames from 'classnames';
import { SLIM, useHeaderContext } from './HeaderContext';
export const HeaderRightZone = ({ className, testId, ...attributes }) => {
    const type = useHeaderContext();
    const classes = classNames(className, {
        // BI >= 1.3.6
        'it-header-slim-right-zone': type === SLIM,
        // BI < 1.3.6
        'header-slim-right-zone': type === SLIM,
        'it-right-zone': type !== SLIM
    });
    return React.createElement("div", { className: classes, ...attributes, "data-testid": testId });
};
//# sourceMappingURL=HeaderRightZone.js.map