import React, { useEffect } from 'react';
import classNames from 'classnames';
import { NavbarToggler } from 'reactstrap';
import { SLIM, NAVBAR, useHeaderContext } from './HeaderContext';
const BUTTON = 'button';
export const HeaderToggler = ({ className, tag, type, testId, ...attributes }) => {
    const HeaderType = useHeaderContext();
    const defaultTag = HeaderType === SLIM ? 'a' : BUTTON;
    const defaultType = HeaderType === SLIM ? undefined : BUTTON;
    const classes = classNames({
        'it-opener d-lg-none': HeaderType === SLIM,
        'custom-navbar-toggler': HeaderType === NAVBAR
    }, className);
    useEffect(() => {
        document.querySelectorAll('.container-fluid').forEach((element) => {
            element.classList.remove('container-fluid');
        });
    });
    return (React.createElement(NavbarToggler, { className: classes, ...attributes, tag: tag || defaultTag, type: type || defaultType, href: '#', "data-testid": testId }));
};
//# sourceMappingURL=HeaderToggler.js.map