import React from 'react';
import classNames from 'classnames';
export const LinkList = ({ className, wrapperClassName, tag = 'div', multiline, header, sublist, avatar, noWrapper, testId, ...attributes }) => {
    const Tag = tag;
    const wrapperClasses = classNames('link-list-wrapper', wrapperClassName, {
        multiline: multiline
    });
    const classes = classNames(className, {
        'link-list': !sublist,
        'link-sublist': sublist,
        'avatar-group': avatar
    });
    if (noWrapper) {
        return React.createElement("ul", { ...attributes, className: classes, "data-testid": testId });
    }
    if (sublist) {
        return (React.createElement(React.Fragment, null,
            header,
            React.createElement("ul", { ...attributes, className: classes })));
    }
    return (React.createElement(Tag, { className: wrapperClasses, "data-testid": testId },
        header,
        React.createElement("ul", { ...attributes, className: classes })));
};
//# sourceMappingURL=LinkList.js.map