import classNames from 'classnames';
import React from 'react';
export const ListItem = ({ className, active, avatar, icon, img, href, tag = 'div', to, wrapperClassName, testId, children, ...attributes }) => {
    let Tag = tag;
    const classes = classNames(className, { active }, 'list-item'), classesItem = classNames(className, {
        'it-rounded-icon': icon,
        'avatar size-lg': avatar,
        'it-thumb': img
    }), leftItem = icon || avatar || img;
    if (href) {
        return (React.createElement("li", { className: wrapperClassName, "data-testid": testId },
            React.createElement(Tag, null,
                React.createElement("a", { href: href || '#', ...attributes, className: classes }, children))));
    }
    return (React.createElement("li", { className: wrapperClassName, "data-testid": testId },
        React.createElement(Tag, { ...attributes, className: classes, href: href, to: to },
            leftItem && React.createElement("div", { className: classesItem }, leftItem),
            React.createElement("div", { className: "it-right-zone" }, children))));
};
const MultipleAction = ({ children }) => {
    return React.createElement("span", { className: 'it-multiple' }, children);
};
ListItem.MultipleAction = MultipleAction;
//# sourceMappingURL=ListItem.js.map