import React from 'react';
import classNames from 'classnames';
export const Pager = ({ className, tag = 'nav', listTag: ListTag = 'ul', listClassName, children, total, testId, ...attributes }) => {
    const Tag = tag;
    const classes = classNames(className, 'pagination-wrapper', {
        'pagination-total': total
    });
    const listClasses = classNames(listClassName, 'pagination');
    const { ariaLabel, label } = total || {};
    const totalAriaLabel = ariaLabel ? React.createElement("span", { className: 'visually-hidden' }, ariaLabel) : null;
    return (React.createElement(Tag, { className: classes, ...attributes, "data-testid": testId },
        React.createElement(ListTag, { className: listClasses }, children),
        total ? (React.createElement("p", null,
            totalAriaLabel,
            label)) : null));
};
//# sourceMappingURL=Pager.js.map