import React from 'react';
export const Select = ({ id, disabled = false, label, children, onChange, ...rest }) => {
    const handleChange = (e) => {
        onChange(e.target.value);
    };
    const inputProps = {
        ...rest,
        disabled: disabled,
        onChange: handleChange
    };
    return (React.createElement("div", { className: 'select-wrapper' }, id ? (React.createElement(React.Fragment, null,
        React.createElement("label", { htmlFor: id }, label),
        React.createElement("select", { id: id, ...inputProps }, children))) : (React.createElement("label", null,
        label,
        React.createElement("select", { ...inputProps }, children)))));
};
//# sourceMappingURL=Select.js.map