import React from 'react';
import classNames from 'classnames';
export const ThumbNav = ({ isSmall = false, fixedWidth = false, isVertical = false, noZoomOnHover = false, rowItems, overlayOnHover, position, testId, ...attributes }) => {
    const classes = classNames('thumb-nav', {
        'thumb-nav-fixed': fixedWidth,
        'thumb-nav-small': isSmall,
        'thumb-nav-vertical': isVertical || position === 'left' || position === 'right',
        'thumb-nav-nozoom': noZoomOnHover,
        [`thumb-nav-${overlayOnHover}`]: overlayOnHover,
        [`thumb-nav-${position}`]: position,
        'thumb-nav-auto': rowItems != null,
        [`thumb-nav-auto-${rowItems}`]: rowItems != null
    });
    return React.createElement("ul", { className: classes, ...attributes, "data-testid": testId });
};
//# sourceMappingURL=ThumbNav.js.map