import React from 'react';
import classNames from 'classnames';
export const ThumbNavItem = ({ active = false, targetUrl, imageUrl, actionDescription, testId, ...attributes }) => {
    const classes = classNames({ active: active }, 'ratio', 'ratio-3x2');
    return (React.createElement("li", { ...attributes, "data-testid": testId },
        React.createElement("img", { src: 'https://picsum.photos/240/160?image=1056', className: 'thumb-nav-resizer', "aria-hidden": 'true', alt: '' }),
        React.createElement("a", { href: targetUrl, className: classes },
            React.createElement("img", { src: imageUrl, alt: actionDescription }))));
};
//# sourceMappingURL=ThumbNavItem.js.map