import React from 'react';
import classNames from 'classnames';
import { Icon } from '../Icon/Icon';
export const TimelinePin = ({ iconName = 'it-code-circle', icon = 'it-code-circle', label = ' ', past, now, nowText, testId, className, ...attributes }) => {
    const { children, ...rest } = attributes;
    const classes = classNames('timeline-element', className);
    const innerClasses = classNames('it-pin-wrapper', className, {
        'it-evidence': past,
        'it-now': now
    });
    const pinIcon = (React.createElement("div", { className: 'pin-icon' },
        React.createElement(Icon, { icon: iconName || icon })));
    const pinLabel = (React.createElement("div", { className: 'pin-text' },
        React.createElement("span", null, label)));
    const pinTextNow = now && React.createElement("span", { className: 'it-now-label d-none d-lg-flex' }, nowText);
    return (React.createElement("div", { className: classes, "data-testid": testId },
        pinTextNow,
        React.createElement("div", { className: innerClasses, ...rest },
            pinIcon,
            pinLabel),
        children));
};
//# sourceMappingURL=TimelinePin.js.map