import classnames from 'classnames';
import React, { createContext } from 'react';
export const SizeContext = /* @__PURE__ */ createContext(undefined);
export const Toolbar = ({ tag = 'nav', size, testId, children, vertical, ...attributes }) => {
    const Tag = tag;
    const classes = classnames('toolbar', {
        [`toolbar-${size}`]: size && size !== 'large',
        'toolbar-vertical': vertical
    });
    return (React.createElement(SizeContext.Provider, { value: size || 'large' },
        React.createElement(Tag, { className: classes, ...attributes, "data-testid": testId },
            React.createElement("ul", null, children))));
};
//# sourceMappingURL=Toolbar.js.map