import { FC, HTMLAttributes, MouseEvent } from 'react';
export interface CardCategoryProps extends HTMLAttributes<HTMLElement> {
    /** Mostra un'icona nella Card. Passare il nome dell'icona per utilizzarlo. */
    iconName?: string;
    /** Mostra la data nella Card. Passare una data già formattata come stringa. */
    date?: string;
    /** Se usato come link, passare l'URL target. */
    href?: string;
    /** Da utilizzare al posto di url quando la gestione del click è in JS */
    onClick?: (event: MouseEvent<HTMLAnchorElement>) => void;
    testId?: string;
}
export declare const CardCategory: FC<CardCategoryProps>;
