import React, { Ref, ReactNode, TextareaHTMLAttributes } from 'react';
import type { CSSModule } from 'reactstrap/types/lib/utils';
export interface TextAreaProps extends TextareaHTMLAttributes<HTMLTextAreaElement> {
    /** Etichetta del campo TextArea. */
    label?: string | ReactNode;
    /** Testo di esempio da utilizzare per il campo. */
    placeholder?: string;
    /** Testo di validazione per l'elemento del moduleo */
    validationText?: string;
    /** Testo di aiuto per l'elemento del moduleo form. Richiede che il componente `TextArea` abbia la prop `id` impostata. */
    infoText?: string;
    /** Il valore nel campo TextArea. */
    value?: string | number;
    /** Da utilizzare per impedire la modifica del valore contenuto. */
    readOnly?: boolean;
    /** Associato all'attributo readOnly mostra il campo con lo stile classico, mantenento lo stato di sola lettura. */
    normalized?: boolean;
    /** Utilizzare per mostrare il successo nella validazione del valore nel campo TextArea */
    valid?: boolean;
    innerRef?: Ref<HTMLTextAreaElement>;
    /** Oggetto contenente la nuova mappatura per le classi CSS. */
    cssModule?: CSSModule;
    /** Classi aggiuntive da usare per il wrapper del componente TextArea */
    wrapperClassName?: string;
    /** Classi aggiuntive da usare per il componente TextArea */
    className?: string;
    testId?: string;
}
export declare const TextArea: ({ id, className, cssModule, innerRef, label, validationText, infoText, placeholder, normalized, value, wrapperClassName: originalWrapperClass, valid, testId, ...attributes }: TextAreaProps) => React.JSX.Element;
