import { ElementType, FC, HTMLAttributes } from 'react';
export interface ListProps extends HTMLAttributes<HTMLUListElement> {
    /** Classi aggiuntive da usare per il componente lista del List */
    className?: string;
    /** Classi aggiuntive da usare per il componente wrapper del List */
    wrapperClassName?: string;
    /**
     * Utilizzarlo in caso di utilizzo di componenti personalizzati per il wrapper della lista.
     * Nota: viene ignorato quando usato in lista annidate.
     * */
    tag?: ElementType;
    /** Quando attivo rimuove il componente contenitore della ListList. Utile per alcuni tipi di liste annidate. */
    noWrapper?: boolean;
    testId?: string;
}
export declare const List: FC<ListProps>;
