import { AnchorHTMLAttributes, ElementType, FC, ReactNode } from 'react';
export interface ListItemProps extends AnchorHTMLAttributes<HTMLAnchorElement> {
    /** Indica se l'elemento è attivo o no */
    active?: boolean;
    /** Indica se l'elemento ha un avatar */
    avatar?: ReactNode;
    /** Indica se l'elemento ha una icona */
    icon?: ReactNode;
    /** Indica se l'elemento ha una immagine */
    img?: ReactNode;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente ListItem */
    className?: string;
    /** Classi aggiuntive da usare per l'elemento contenitore dell'item */
    wrapperClassName?: string;
    /** Indica il link a cui l'elemento deve puntare. */
    href?: string;
    /** Indica il link route a cui l'elemento deve puntare. */
    to?: string;
    testId?: string;
}
export declare const ListItem: FC<ListItemProps> & {
    MultipleAction: typeof MultipleAction;
};
declare const MultipleAction: FC<ListItemProps>;
export {};
