import { FC, HTMLAttributes, ElementType, ReactNode } from 'react';
declare const variants: {
    readonly confirmed: "confirmed";
    readonly active: "active";
    readonly done: "done";
    readonly mobile: "steppers-index";
    readonly 'steppers-index': "steppers-index";
};
export interface StepperHeaderElementProps extends HTMLAttributes<HTMLLIElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente StepperHeader */
    className?: string;
    /**
     * Il tipo di step:
     * * confirmed (confermato),
     * * active (attivo - su mobile viene mostrato solo questo)
     * * done (completato)
     * * mobile (visibile solo su mobile, usato per mostrare lo stato attuale di progresso)
     * * steppers-index (deprecato) usare mobile
     * */
    variant?: keyof typeof variants;
    /** Icona da mostrare alla destra dell'etichetta dello step */
    appendIcon?: string;
    /** Icona da mostrare alla sinistra dell'etichetta dello step */
    prependIcon?: string;
    /** Utilizzare questo attributo per elementi aggiuntivi da mostrare su dispositivi mobile per lo step attivo */
    stepperNumber?: ReactNode;
    /** Nasconde il bordo inferiore azzurro per lo step */
    noLine?: boolean;
    /** @deprecated Usare `appendIcon` */
    icon?: string;
    /** @deprecated Usare `prependIcon` */
    iconName?: string;
    testId?: string;
}
export declare const StepperHeaderElement: FC<StepperHeaderElementProps>;
export {};
