export const noop = () => { };
export const logError = (message) => {
    if (typeof console !== 'undefined') {
        if (console.error) {
            console.error(message);
        }
        else {
            console.log(message);
        }
    }
};
// @internal Used for testing purposes only
export const flushMessageCache = () => {
    for (const key in messages) {
        delete messages[key];
    }
};
const messages = {};
export const notifyDeprecation = (message, options = { once: true }) => {
    if (!options.once) {
        logError(message);
    }
    else {
        if (!messages[message]) {
            logError(message);
            messages[message] = 1;
        }
    }
};
export function mapToCssModules(className, cssModules) {
    let finalClassNames = className == null ? '' : className;
    if (!cssModules) {
        return finalClassNames;
    }
    return finalClassNames
        .split(' ')
        .map((klass) => cssModules[klass] ?? klass)
        .join(' ');
}
export function pick(obj, keys) {
    const keysArray = Array.isArray(keys) ? keys : [keys];
    const newObj = {};
    for (const key of keysArray) {
        if (key in obj) {
            newObj[key] = obj[key];
        }
    }
    return newObj;
}
export function omit(obj, keys) {
    const keysLookup = new Set(Array.isArray(keys) ? keys : [keys]);
    const newObj = {};
    for (const key in obj) {
        if (!keysLookup.has(key)) {
            newObj[key] = obj[key];
        }
    }
    return newObj;
}
//# sourceMappingURL=utils.js.map